<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# POSH Modules management - XML Get directories writable rights
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="../portal/";
$not_access=1;
$granted="A";
$pagename="admin/xml_control_directories_rights.php";

//includes
require('includes.php');
require("../includes/directories_rights.php");
require_once('../includes/xml.inc.php');

//control that the current administrator has access to the script
$grantedCalls = array("configstab");
require('adm_ctrl_access.php');

$file=new xmlFile();

$file->header();

$directories = getDirectories();
foreach($directories as $dirName => $fileArray){
    for($i=0;$i<count($fileArray);$i++) {
        echo "<directory>";
        echo "<name><![CDATA[".$fileArray[$i]."]]></name>";
        if (!is_writable($fileArray[$i])) {
            echo "<writable>0</writable>";
        }
        else {
            echo "<writable>1</writable>";
        }
        echo "</directory>";
    }
}

$file->footer();
?>